import { OnInit } from '@angular/core';
import { DurationDataElement } from '../../../core/elements/models/duration-data-element.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
import { Subscription } from 'rxjs';
import { SimulatorCommunicationService } from '../../shared/services/simulator-communication.service';
export declare class AssistDurationElementComponent implements OnInit {
    private formBuilder;
    private simulatorEngineService;
    durationDataElement: DurationDataElement;
    durationElementForm: FormGroup;
    subscription: Subscription;
    supportedUnits: any;
    daysvalue: number;
    hoursvalue: number;
    minutesvalue: number;
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService, simulatorCommunicationService: SimulatorCommunicationService);
    DurationVal: string;
    durationOptions: {
        showNegative: boolean;
        showPreview: boolean;
        showYears: boolean;
        showMonths: boolean;
        showWeeks: boolean;
        min: number;
    };
    showdayminValidation: boolean;
    showdaymaxValidation: boolean;
    showminutemaxValidation: boolean;
    showminuteminValidation: boolean;
    showhourminValidation: boolean;
    showhourmaxValidation: boolean;
    ngOnInit(): void;
    ResetValidationVisibility(): void;
    onChanges(): void;
    private SetRangeValuesForDurationPicker();
    private createDurationElementForm();
    onlyInteger(event: any): boolean;
    UpdateFormValidator(): void;
    increaseValue(property: any): void;
    decreaseValue(property: any): void;
    checkValue(event: any, property: any): void;
    ngOnDestroy(): void;
}
