import { OnInit } from '@angular/core';
import { ChoiceDataElement } from '../../../core/elements/models/choice-data-element-model';
import { DomSanitizer } from '@angular/platform-browser';
export declare class ImageMapComponent implements OnInit {
    $: any;
    DataElement: ChoiceDataElement;
    DataElements: Object;
    FormValues: Object;
    imagePath: string;
    isDataURL: RegExp;
    domSanitizer: DomSanitizer;
    imageExist: boolean;
    SelectionValue: string;
    constructor(domSanitizer: DomSanitizer);
    ngOnInit(): void;
    isInRectangle(mouseX: any, mouseY: any, Coordinates: any): boolean;
    isInCircle(mouseX: any, mouseY: any, Coordinates: any): boolean;
    isInPolygon(x: any, y: any, Coordinates: any): boolean;
    imageClick(e: any, dataElement: any): void;
    setValue(val: any): void;
    displayValue(val: any): void;
    getImageDataUrl(location: string): string;
}
