import { DataElementCreationBaseService } from './data-element-creation-base-service';
import { DiagramService } from './diagram.service';
import { BaseDataElement } from '../../../core/elements/models/base-data-element.model';
import { ArrayCheckerService } from './array-checker.service';
import { ConditionsCreationService } from './conditions-creation.service';
import { ComputedValueCreationService } from './computed-value-creation.service';
export declare class ChoiceDataElementCreationService extends DataElementCreationBaseService {
    private arrayCheckerService;
    private conditionsCreationService;
    private computedValueCreationService;
    constructor(diagramService: DiagramService, arrayCheckerService: ArrayCheckerService, conditionsCreationService: ConditionsCreationService, computedValueCreationService: ComputedValueCreationService);
    private returnChoice(choiceItem);
    private returnArea(areaJSON);
    createElement(data: any): BaseDataElement;
    private GetConditionalProperties(conditionalProperty);
}
