import { ConditionType } from '../models/conditiontype.model';
import { Condition } from '../condition';
import { DataElementValues } from '../dataelementvalues';
import { SectionIfCondition } from './section-if-condition';
import { SectionIfValueNotCondition } from './section-if-value-not-condition';
export declare class SectionIfValueCondition implements Condition {
    IsRelevant: boolean;
    conditionType: ConditionType;
    sectionIf: SectionIfValueCondition[];
    innerSectionIfValue: SectionIfCondition;
    innerSectionIfValueNot: SectionIfValueNotCondition;
    sectionText: string;
    constructor(conditionType: ConditionType);
    evaluate(dataElementValues: DataElementValues): boolean;
}
