import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { MultiChoiceDataElement } from '../../../core/elements/models/multi-choice-data-element';
import { MultiChoiceElement } from '../assist-data-element.component';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SelectedCondition } from '../../../core/models/executed-result.model';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
export declare class AssistMultiChoiceElementComponent implements OnInit, AfterViewInit {
    private formBuilder;
    private simulatorEngineService;
    multiChoiceElement: MultiChoiceDataElement;
    imagePath: string;
    returnMultiChoice: EventEmitter<{}>;
    multiElements: MultiChoiceElement[];
    multiChoiceValues: string[];
    multiChoiceComaprisonValues: string[];
    multiChoiceElementForm: FormGroup;
    selectedCondition: SelectedCondition;
    choiceValue: string[];
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    selectedMultiChoice(elementId: string, selectedCondition: string, choiceValue: any, choiceLabel: any): void;
    updateMultiChoice(elementId: string, selectedCondition: string, value: string, event: any): void;
    private createMultiChoiceElementForm();
    private specificValueInsideRange(checkBoxKey);
}
